/*
** svn $Id: upwelling.h 1100 2022-01-06 21:19:26Z arango $
*******************************************************************************
** Copyright (c) 2002-2022 The ROMS/TOMS Group                               **
**   Licensed under a MIT/X style license                                    **
**   See License_ROMS.txt                                                    **
*******************************************************************************
**
** Options for Upwelling Test.
**
** Application flag:   UPWELLING
** Input script:       roms_upwelling.in
*/

#define UV_COR
#define UV_ADV
#define SPLINES_VDIFF
#undef SOLAR_SOURCE
#undef LONGWAVE_OUT
#undef LONGWAVE
#undef LIMIT_STFLX_COOLING
#define QCORRECTION
#undef DIURNAL_SRFLUX
#undef TS_FIXED

#undef DJ_GRADPS
#define UV_VIS2
#undef UV_VIS4
#define TS_DIF2
#undef TS_DIF4 
#define SPLINES_VVISC
#undef UV_SADVECTION
#define NONLIN_EOS
#define ANA_BTFLUX
#define SALINITY
#define SOLVE3D
#define DISTRIBUTE
#define ANA_SMFLUX
#define ANA_STFLUX
#define ANA_SSFLUX
#define ANA_BSFLUX
#define ANA_SPFLUX
#define ANA_SRFLUX
#define ANA_DQDSST
#define ANA_SST
#define MASKING
#undef ANA_GRID
#undef ANA_INITIAL
#define GLS_MIXING
#undef MY25_MIXING
#define RI_SPLINES
#undef RI_HORAVG
#undef RI_VERAVG
#undef ANA_VMIX


#if defined GLS_MIXING || defined MY25_MIXING
#undef KANTHA_CLAYSON
#define CANUTO_A
#define N2S2_HORAVG
#define RI_SPLINES
#else
#undef ANA_VMIX
#endif
#undef BIO_FENNEL
#if defined BIO_FENNEL  || defined ECOSIM      || \
    defined NEMURO      || defined NPZD_FRANKS || \
    defined NPZD_IRON   || defined NPZD_POWELL 
# define ANA_BIOLOGY
# define ANA_SPFLUX
# define ANA_BPFLUX
# define ANA_SRFLUX
# ifdef NPZD_IRON
#  define IRON_LIMIT
#  define IRON_RELAX
# endif
#endif
#undef NEMURO
#if defined NEMURO
# define HOLLING_GRAZING
# undef  IVLEV_EXPLICIT
#endif

#ifdef BIO_FENNEL
# define CARBON
# define OXYGEN
# define DENITRIFICATION
# define BIO_SEDIMENT
# define DIAGNOSTICS_BIO
#endif
#undef ECOSIM
#ifdef ECOSIM
# undef ANA_CLOUD
# undef ANA_HUMIDITY
# undef ANA_PAIR
# undef ANA_TAIR
# undef ANA_WINDS
#endif
